SSLHostConfigCertificate.Type (Apache Tomcat 9.0.75 API Documentation)

Package org.apache.tomcat.util.net

## Enum SSLHostConfigCertificate.Type

- java.lang.Object
- - java.lang.Enum<SSLHostConfigCertificate.Type>
  - - org.apache.tomcat.util.net.SSLHostConfigCertificate.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SSLHostConfigCertificate.Type>`
  Enclosing class:
    SSLHostConfigCertificate

      public static enum SSLHostConfigCertificate.Type
      extends java.lang.Enum<SSLHostConfigCertificate.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DSA` |
    `EC` |
    `RSA` |
    `UNDEFINED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isCompatibleWith​(Authentication au)` |
    `static SSLHostConfigCertificate.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SSLHostConfigCertificate.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final SSLHostConfigCertificate.Type UNDEFINED

    - #### RSA

          public static final SSLHostConfigCertificate.Type RSA

    - #### DSA

          public static final SSLHostConfigCertificate.Type DSA

    - #### EC

          public static final SSLHostConfigCertificate.Type EC

  - ### Method Detail

    - #### values

          public static SSLHostConfigCertificate.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSLHostConfigCertificate.Type c : SSLHostConfigCertificate.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSLHostConfigCertificate.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isCompatibleWith

          public boolean isCompatibleWith​(Authentication au)